import React from "react";

export default ({ gameId, onChangeGameId, onJoinGame, cannotJoinGame }) => (
  <div className="join-game-form">
    <span className="join-game-form__label">Game ID:</span>
    <input 
      className="inpt join-game-form__input" 
      type="text" 
      value={gameId || ""} 
      onChange={onChangeGameId} 
    />
    <button className="btn join-game-form__btn" onClick={onJoinGame} disabled={cannotJoinGame}>
      Join Existing Game
    </button>
  </div>
);